local MultiRewardDropUtils = {}
local GetCurCanEnjoyMaxMultiValue = function(rewardType)
  local curTime = UITimeManager:GetInstance():GetServerTime() / 1000
  return DataCenter.MultiRewardDropManager:GetCanEnjoyMaxMultiValue(rewardType, curTime)
end
local GetTruckCurCanEnjoyMaxMultiValue = function()
  local curTime = UITimeManager:GetInstance():GetServerTime() / 1000
  return MultiRewardDropUtils.GetTruckTargetTimeCanEnjoyMaxMultiValue(curTime)
end
local GetTruckTargetTimeCanEnjoyMaxMultiValue = function(truckDepartureTime)
  if not truckDepartureTime then
    return 1
  end
  return DataCenter.MultiRewardDropManager:GetCanEnjoyMaxMultiValue(MultiRewardType.TrainReward, truckDepartureTime)
end
local GetCurPersonalArmsCanEnjoyMaxMultiValue = function()
  return GetCurCanEnjoyMaxMultiValue(MultiRewardType.PersonalArms)
end
local GetCurRadarTreasureReceiveMultiValue = function(time)
  if not time then
    return 1
  end
  return DataCenter.MultiRewardDropManager:GetCanEnjoyMaxMultiValue(MultiRewardType.DetectTreasure, time)
end
MultiRewardDropUtils.GetCurCanEnjoyMaxMultiValue = GetCurCanEnjoyMaxMultiValue
MultiRewardDropUtils.GetTruckCurCanEnjoyMaxMultiValue = GetTruckCurCanEnjoyMaxMultiValue
MultiRewardDropUtils.GetTruckTargetTimeCanEnjoyMaxMultiValue = GetTruckTargetTimeCanEnjoyMaxMultiValue
MultiRewardDropUtils.GetCurPersonalArmsCanEnjoyMaxMultiValue = GetCurPersonalArmsCanEnjoyMaxMultiValue
MultiRewardDropUtils.GetCurRadarTreasureReceiveMultiValue = GetCurRadarTreasureReceiveMultiValue
return ConstClass("MultiRewardDropUtils", MultiRewardDropUtils)
